org.apache.sysds.runtime.compress.workload

## Enum WTreeNode.WTNodeType

- java.lang.Object
- - java.lang.Enum<WTreeNode.WTNodeType>
  - - org.apache.sysds.runtime.compress.workload.WTreeNode.WTNodeType

- All Implemented Interfaces:
    Serializable, Comparable<WTreeNode.WTNodeType>
  Enclosing class:
    WTreeNode

      public static enum WTreeNode.WTNodeType
      extends Enum<WTreeNode.WTNodeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC_BLOCK`
    `FCALL`
    `FOR`
    `IF`
    `MAIN`
    `PARFOR`
    `WHILE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLoop()`
    `static WTreeNode.WTNodeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WTreeNode.WTNodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAIN

          public static final WTreeNode.WTNodeType MAIN

    - #### FCALL

          public static final WTreeNode.WTNodeType FCALL

    - #### IF

          public static final WTreeNode.WTNodeType IF

    - #### WHILE

          public static final WTreeNode.WTNodeType WHILE

    - #### FOR

          public static final WTreeNode.WTNodeType FOR

    - #### PARFOR

          public static final WTreeNode.WTNodeType PARFOR

    - #### BASIC_BLOCK

          public static final WTreeNode.WTNodeType BASIC_BLOCK

  - ### Method Detail

    - #### values

          public static WTreeNode.WTNodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WTreeNode.WTNodeType c : WTreeNode.WTNodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WTreeNode.WTNodeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isLoop

          public boolean isLoop()

Copyright © 2021 The Apache Software Foundation. All rights reserved.